Skip to content

createVatType

Request

Bodyapplication/jsonrequired
customerVatTypeinteger, (int32)required

Customer VAT type identifier

Default:""
Example:1
articleVatTypestringrequired

Article VAT type classification

Default:""
Example:"GENERAL"
vatPercentagenumber

VAT percentage to be applied

Default:""
Example:21
rePercentagenumber

Surcharge (Recargo de Equivalencia) percentage

Default:""
Example:5.2
sellVatAccountinteger, (int32)

VAT account identifier for sales operations

Default:""
Example:4770000
sellRechargeAccountinteger, (int32)

Surcharge account identifier for sales operations

Default:""
Example:4771000
buyVatAccountinteger, (int32)

VAT account identifier for purchase operations

Default:""
Example:4720000
buyRechargeAccountinteger, (int32)

Surcharge account identifier for purchase operations

Default:""
Example:4721000
descriptionstring

Description of the VAT configuration

Default:""
Example:"Standard VAT 21%"
POST
/api/v1/vat-type
curl -i -X POST \
  https://api.prana.software/api/v1/vat-type \
  -H 'Content-Type: application/json'

Responses

OK

Body*/*
idinteger, (int32)required

Unique identifier of the object

Default:""
customerVatTypeobject(ApiCustomerVatTypeListReadDto)required

Customer VAT type information

Default:""
articleVatTypeobject(ApiArticleVatTypeListReadDto)required

Article VAT type information

Default:""
vatPercentagenumber

VAT percentage applied

Default:""
Example:21
rePercentagenumber

Surcharge (Recargo de Equivalencia) percentage

Default:""
Example:5.2
sellVatAccountobject(ApiChartAccountListReadDto)

VAT account information for sales operations

Default:""
sellRechargeAccountobject(ApiChartAccountListReadDto)

Surcharge account information for sales operations

Default:""
buyVatAccountobject(ApiChartAccountListReadDto)

VAT account information for purchase operations

Default:""
buyRechargeAccountobject(ApiChartAccountListReadDto)

Surcharge account information for purchase operations

Default:""
descriptionstring
Response
// No response example